Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161126 - segmentation fault in logfactor5
Summary: segmentation fault in logfactor5
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: log4j
Version: 4
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Fitzsimmons
QA Contact:
URL:
Whiteboard:
: 161127 (view as bug list)
Depends On:
Blocks: FC5Blocker
TreeView+ depends on / blocked
 
Reported: 2005-06-20 17:58 UTC by Andrea Santilli
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-03 20:56:21 UTC


Attachments (Terms of Use)

Description Andrea Santilli 2005-06-20 17:58:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; it-IT; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
This is what happens whenever I run logfactor5:

$ logfactor5
/usr/share/java-utils/java-functions: line 117: 12803 Segmentation fault      $JAVACMD $FLAGS -classpath $CLASSPATH $OPTIONS $MAIN_CLASS "$@"

Version-Release number of selected component (if applicable):
1.2.8-7jpp_4fc

How reproducible:
Always

Steps to Reproduce:
1. Just run logfactor5

Actual Results:  I get a segfault

Expected Results:  Run normally?

Additional info:

Comment 1 Vadim Nasardinov 2005-06-20 18:11:56 UTC
*** Bug 161127 has been marked as a duplicate of this bug. ***

Comment 2 Vadim Nasardinov 2005-06-20 20:52:31 UTC
Looks like a Swing bug:



(gdb) handle SIGPWR nostop noprint pass
Signal        Stop	Print	Pass to program	Description
SIGPWR        No	No	Yes		Power fail/restart
(gdb) handle SIGXCPU nostop noprint pass
Signal        Stop	Print	Pass to program	Description
SIGXCPU       No	No	Yes		CPU time limit exceeded
(gdb) file /usr/bin/gij
Reading symbols from /usr/bin/gij...Reading symbols from
/usr/lib/debug/usr/bin/gij.debug...(no debugging symbols
found)...done.
Using host libthread_db library "/lib/libthread_db.so.1".
(no debugging symbols found)...done.
(gdb) run -classpath
/usr/share/java/log4j.jar:/usr/share/java/xml-commons-apis.jar:/usr/share/java/jaxp_parser_impl.jar
org.apache.log4j.lf5.StartLogFactor5
Starting program: /usr/bin/gij -classpath
/usr/share/java/log4j.jar:/usr/share/java/xml-commons-apis.jar:/usr/share/java/jaxp_parser_impl.jar
org.apache.log4j.lf5.StartLogFactor5
Reading symbols from shared object read from target memory...(no
debugging symbols found)...done.
Loaded system supplied DSO at 0x7fc000
[Thread debugging using libthread_db enabled]
[New Thread -1208326464 (LWP 6557)]
[New Thread -1210659920 (LWP 6560)]
[New Thread -1222292560 (LWP 6561)]
[Thread -1222292560 (LWP 6561) exited]
[New Thread -1232884816 (LWP 6562)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1232884816 (LWP 6562)]
0x04ecfbee in _Jv_InterpMethod::run (this=0x64dd20, retp=0xb5e3b400,
args=0xb5e3b420)
    at ../../../libjava/interpret.cc:797
797	_Jv_InterpMethod::run (void *retp, ffi_raw *args)
Current language:  auto; currently c++
(gdb) bt
#0  0x04ecfbee in _Jv_InterpMethod::run (this=0x64dd20, retp=0xb5e3b400,
args=0xb5e3b420)
    at ../../../libjava/interpret.cc:797
#1  0x04ed48ad in _Jv_InterpMethod::run_normal (ret=0x64dd20, args=0x64dd20,
__this=0x64dd20)
    at ../../../libjava/interpret.cc:277
#2  0x0525f03c in ffi_closure_raw_SYSV (closure=Variable "closure" is not available.
) at ../../../libffi/src/x86/ffi.c:416
#3  0x0514ad12 in javax.swing.JScrollBar.fireAdjustmentValueChanged(int, int,
int) (this=0x7212e0, id=601, 
    type=5, value=325) at ../../../libjava/javax/swing/JScrollBar.java:587
#4  0x0514a6d9 in javax.swing.JScrollBar.setValue(int) (this=0x7212e0, value=325)
    at ../../../libjava/javax/swing/JScrollBar.java:411
#5  0x0525f1c7 in ffi_call_SYSV () at ../../../libffi/src/x86/sysv.S:60
#6  0x0525f189 in ffi_raw_call (cif=0x1064c40, fn=0x64dd20, rvalue=0xb5e3b788,
fake_avalue=0xb5e3b520)
    at ../../../libffi/src/x86/ffi.c:537
#7  0x04ed0fd4 in _Jv_InterpMethod::run (this=0x64dd20, retp=0xb5e3b990,
args=0xb5e3b9b0)
    at ../../../libjava/interpret.cc:1205
...


Comment 3 Andrea Santilli 2005-07-02 08:37:11 UTC
The problem has been fixed with latest kernel 2.6.12-1.1387_FC4. So it wasn't a
swing bug; moreover it fixes the eclipse hang bug and many other random hangs.
Thank you anyway :)

Comment 4 petrosyan 2005-07-20 04:33:31 UTC
It still crashes with the latest kernel-2.6.12-1.1398_FC4:

$ logfactor5
/usr/share/java-utils/java-functions: line 117: 22618 Segmentation fault     
$JAVACMD $FLAGS -classpath $CLASSPATH $OPTIONS $MAIN_CLASS "$@"


Comment 5 Anthony Green 2005-08-15 07:01:01 UTC
For what it's worth, I'm running kernel-2.6.12-1.1398_FC4 and I see the same
stack trace as Comment #2.




Comment 6 petrosyan 2005-08-15 14:09:56 UTC
it also segfaults with the latest kernel-2.6.12-1.1420_FC4

Comment 7 Thomas Fitzsimmons 2005-11-10 21:36:48 UTC
Lillian, will you see if this Swing bug is fixed in GNU Classpath HEAD?


Comment 8 Lillian Angel 2005-11-10 22:13:16 UTC
Runs fine on Classpath+jamvm

jamvm -classpath
/usr/share/java/log4j.jar:/usr/share/java/xml-commons-apis.jar:/usr/share/java/jaxp_parser_impl.jar
org.apache.log4j.lf5.StartLogFactor5

Comment 9 Thomas Fitzsimmons 2005-11-10 23:38:27 UTC
Great, I'll wait until the fixes make their way into Rawhide via libgcj before
closing this bug.



Note You need to log in before you can comment on or make changes to this bug.